<!DOCTYPE html>
<html>

<!--<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Shopping Cart - Brand</title>
    <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:400,400i,700,700i,600,600i">
    <link rel="stylesheet" href="assets/fonts/simple-line-icons.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.css">
    <link rel="stylesheet" href="assets/css/styles.min.css">
</head>-->
<head th:replace="fragments/header :: head"></head>

<body>
    <nav th:replace="fragments/navbar :: navbar"></nav>

    <main class="page shopping-cart-page">
        <section class="clean-block clean-cart dark">
            <div class="container">
                <div class="block-heading">
                    <h2 class="text-info" th:text="#{label.shopping_cart}">Shopping Cart</h2>
                </div>
                <div class="content">
<!--                    <div class="row no-gutters">-->
                    <form class="row no-gutters" th:object="${selectedProducts}" method="POST" id="shopping-cart"
                              action="#" th:action="@{shopping-cart}" th:if="${productCart.products.size() > 0}">
                        <div class="col-md-12 col-lg-8">
                            <div class="items">
                                <div class="product" th:each="product, itemStat : ${productCart.products.entrySet()}">
                                    <div class="row justify-content-center align-items-center">
                                        <div class="col-md-3">
                                            <div class="product-image"><img class="img-fluid d-block mx-auto image" th:src="@{${product.key.imagePath}}" alt=""></div>
                                        </div>
                                        <div class="col-md-5 product-info">
                                            <a class="product-name"
                                               th:href="@{../product-page/{prodId}(prodId = ${product.key.id})}"
                                               th:text="${product.key.producer + ' ' + product.key.name}">Lorem Ipsum dolor</a>
                                            <!--<input hidden
                                                   th:field="*{product[__${itemStat.index}__].name}">-->
                                            <div class="product-specs">
                                                <div th:each="parameter : ${product.key.parameters}">
                                                    <span th:text="${parameter.type} + ': '">Memory:&nbsp;</span>
                                                    <span class="value" th:text="${parameter.value}">32GB</span></div>
                                            </div>
                                        </div>
                                        <div class="col-6 col-md-2 quantity">
                                            <label class="d-none d-md-block" for="number" th:text="#{label.quantity}">Quantity</label>
                                            <input type="number" id="number" class="form-control quantity-input" name="number" min="0" value="1"
                                                   th:field="*{quantities['__${product.key.id}__']}"></div>
                                        <div class="col-6 col-md-2 price" id="price">
                                            <span hidden class="unit-price" th:text="${#numbers.formatDecimal(product.key.price, 1, 2, 'POINT')}">$120</span>
                                            <span class="quantity-price" th:text="${#numbers.formatDecimal(product.key.price, 1, 2, 'POINT')}">$120</span>
                                        </div>
                                    </div>
                                </div>
                                <button class="btn btn-primary btn-block btn-lg" type="submit" th:text="#{label.save_changes}" name="save">Save changes</button>
                            </div>
                        </div>
                        <div class="col-md-12 col-lg-4">
                            <div class="summary">
                                <h3 th:text="#{label.summary}">Summary</h3>
                                <h4><span class="text total">$360</span></h4>
                                <button class="btn btn-primary btn-block btn-lg" type="submit" th:text="#{label.checkout}" name="submit">Checkout</button>
                            </div>
                        </div>
                    </form>
                    <div class="row no-gutters" th:unless="${productCart.products.size() > 0}">
                        <!--<div class="summary">-->
                            <h3 class="summary" th:text="#{label.shopping_cart_empty}">Shopping cart is empty</h3>
<!--                        </div>-->
                    </div>

                </div>
                <div class="card shadow">
                    <div class="card-header py-3">
                        <p class="text-primary m-0 font-weight-bold">Employee Info</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive table mt-2" id="dataTable" role="grid" aria-describedby="dataTable_info">
                            <table class="table dataTable my-0" id="1">
                                <thead>
                                    <tr>
                                        <th>Date and Time</th>
                                        <th>Quantity</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr th:each="checkout, itemStat: ${checkouts}">
<!--                                        <td>-->
<!--                                            <a th:href="@{/shopping-cart/checkout/{date}(date=${checkout.key})}" th:text="${checkout.key}">Date and Time</a>-->
                                            <!--<a th:text="${checkout.key}" data-bs-toggle="collapse" href="#collapseExample2" role="button" aria-expanded="false" aria-controls="collapseExample2">Date and Time</a>

                                        </td>
                                        <td th:text="${checkout.value.size()}">Quantity</td>-->
                                        <td colspan="4">
                                            <table class="table dataTable my-0" id="3">
                                                <tbody>
                                                <tr>
                                                    <td>
                                                        <a th:text="${checkout.key}" data-bs-toggle="collapse" th:href="'#collapse' + ${itemStat.index}" role="button" aria-expanded="false" th:aria-controls="'collapse' + ${itemStat.index}">Date and Time</a>
                                                    </td>
                                                    <td th:text="${checkout.value.size()}">Quantity</td>
                                                </tr>
                                                </tbody>
                                            </table>
                                            <div class="collapse" th:id="'collapse' + ${itemStat.index}">
                                                <div class="card card-body">
                                                    Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.
                                                    <table class="table dataTable my-0" id="2">
                                                        <thead>
                                                            <tr>
                                                                <th>Producer</th>
                                                                <th>Name</th>
                                                                <th>Quantity</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="products: ${checkout.value}">
                                                            <td th:text="${products.key.producer}"></td>
                                                            <td th:text="${products.key.name}"></td>
                                                            <td th:text="${products.value}">Quantity</td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </td>
                                        <!--<p>
                                            <a class="btn btn-primary" data-bs-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample">
                                                Link with href
                                            </a>
                                            <button class="btn btn-primary" type="button" data-bs-toggle="collapse" data-bs-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">
                                                Button with data-bs-target
                                            </button>
                                        </p>
                                        <div class="collapse" id="collapseExample">
                                            <div class="card card-body">
                                                Some placeholder content for the collapse component. This panel is hidden by default but revealed when the user activates the relevant trigger.
                                            </div>
                                        </div>-->
                                    </tr>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <td><strong>Date and Time</strong></td>
                                        <td><strong>Quantity</strong></td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    <footer th:replace="fragments/footer:: footer (fixed = false)"></footer>

    <!-- Language management javascript -->
    <script src="/static/js/shopping-cart.js" th:src="@{/js/shopping-cart.js}"></script>
</body>

</html>